Package twisted :: Package protocols :: Package mice :: Module mouseman :: Class MouseMan

[show private | hide private]
[frames | no frames]

## Class MouseMan

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      MouseMan

Parser for Logitech MouseMan serial mouse protocol (compatible with Microsoft Serial Mouse).

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `BaseProtocol`)
| ``dataReceived`(self, data)` Called whenever data is received.
| `down_left(self)`
| `down_middle(self)`
| `down_right(self)`
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `move(self, x, y)`
| `snapshot(self)`
| `state_horiz(self, byte)`
| `state_initial(self, byte)`
| `state_maybemiddle(self, byte)`
| `state_vert(self, byte)`
| `up_left(self)`
| `up_middle(self)`
| `up_right(self)`

Class Variable Summary
`NoneType` | `horiz`
`NoneType` | `horizold`
`NoneType` | `leftbutton`
`NoneType` | `leftold`
`NoneType` | `middlebutton`
`NoneType` | `middleold`
`NoneType` | `rightbutton`
`NoneType` | `rightold`
`str` | `state`
`NoneType` | `vert`
`NoneType` | `vertold`

Method Details

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.
  Overrides:
    `twisted.internet.protocol.Protocol.dataReceived` (inherited documentation)

Class Variable Details

### horiz

  Type:
    `NoneType`
  Value:

        None

### horizold

  Type:
    `NoneType`
  Value:

        None

### leftbutton

  Type:
    `NoneType`
  Value:

        None

### leftold

  Type:
    `NoneType`
  Value:

        None

### middlebutton

  Type:
    `NoneType`
  Value:

        None

### middleold

  Type:
    `NoneType`
  Value:

        None

### rightbutton

  Type:
    `NoneType`
  Value:

        None

### rightold

  Type:
    `NoneType`
  Value:

        None

### state

  Type:
    `str`
  Value:

        'initial'

### vert

  Type:
    `NoneType`
  Value:

        None

### vertold

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:50 2003 | http://epydoc.sf.net